CKYC Search and Download API
CERSAI now mandates:
- OTP-based user consent before CKYC downloads
- CKYCRR records to remain within the Regulated Entity's infrastructure
To meet these compliance requirements, we have introduced a Docker-based CKYC Search & Download Solution that enables secure and compliant integration from your on-premises or cloud setup with no dependency on HyperVerge's cloud.
Please refer to our Docker-based CKYC Search & Download Solution release note for more details.Objective
The CKYC Search and Download API checks if a user's record is present on the Central KYC Records Registry (CKYCRR) maintained by the Central Registry of Securitisation Asset Reconstruction and Security Interest of India(CERSAI). If the user's record with matching details is present in the repository, they can be further used to perform the Know Your Customer(KYC) identification process for the user.
You can use any one of the following identification documents.
- PAN
- Aadhaar
- Passport
- Voter ID
- Driving License
- CKYC Number
| Input | Output |
|---|---|
| The user's identity card type and the details associated with it | The user's personal identifiable information(PII) associated with their record in the CKYC repository. |
Kindly ensure that you have completed the Upload Key API step prior to this API call.
API URL
https://ind-ckyc.hyperverge.co/api/v1/searchAndDownload
API Endpoint
searchAndDownload
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
API Request Details
Method - POST
Headers
| Parameter | Mandatory or Optional | Description | Valid Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload. | multipart/form-data |
| appId | Mandatory | Application ID shared by HyperVerge | N/A. This is a unique value. |
| appKey | Mandatory | Application Key shared by HyperVerge | N/A. This is a unique value. |
| transactionId | Mandatory | Unique ID for the customer journey. | N/A. Any defined unique value mapped to a transaction in your business ecosystem. |
Inputs
| Parameter | Mandatory or Optional | Description | Accepted Values | ||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
idType | Mandatory | The type of identity document used for the KYC process. |
| ||||||||||||||
| idNo | Mandatory | The unique ID number from the identity document. | The value for this parameter depends on the ID type, and the following table provides the input format for each such type.
| ||||||||||||||
| mobileNo | Optional | The mobile number of the user. | Not Applicable | ||||||||||||||
| dob | Optional | The date of birth of the user. | The recommended format is DD-MM-YYYY. | ||||||||||||||
| pincode | Optional | The PIN code of the user. | Not Applicable | ||||||||||||||
| returnOnlySearchResponse | Optional | If set to "yes", only the search action is performed. | "yes" or "no" | ||||||||||||||
| entityType | Optional | The following three scenarios are possible depending on the value you set for this parameter.
| "individual" or "legalEntity" | ||||||||||||||
| returnMaskedImage | Optional | It masks the Aadhaar document when it's returned in the API response. | "yes" or "no" Default: "no" |
It is mandatory to either have the mobileNo, the dob, or a combination of the pincode and the dob in the request.
Request
The following code shows a standard curl request for the API.
curl --location --request POST 'https://ind-ckyc.hyperverge.co/api/v1/searchAndDownload' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>'\
--header 'transactionID: <Enter_the_HyperVerge_transactionID>' \
--header 'Content-Type: application/json' \
--data-raw '{
"idNo": "ID_number",
"idType": "<Enter_the_ID_Type_>", // character value for the ID Document
"mobileNo": "<Enter_the_Phone_number>",
"dob": "<Enter_the_Date_of_Birth>", //DD-MM-YYYY format recommended
"pincode": "<Enter_the_Pincode>",
"entityType": "<individual_or_legalEntity>", // (individual or legalEntity) (optional)
"returnOnlySearchResponse": "no", // (yes/no) (optional)
"returnMaskedImage": "no" // (yes/no) (optional)
}'
Success Response
- Success
- Success - Individual
- Success - Legal Entity
- Success- Search Response Returned
The following JSON code snippet demonstrates a success response from the API:
{
"status": "success",
"statusCode": "200",
"result": {
"constituitonType": "Public Limited Company",
"constitutionTypeOthers": "",
"accountType": "",
"ckycNo": "",
"preFix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"fullName": "",
"fatherOrSpouse": "",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"fatherFullName": "",
"motherPrefix": "",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"motherFullName": "",
"gender": "",
"dob": "14-08-1989",
"idList": "",
"placeOfIncorporation": "",
"countryOfInscorporation": "IN",
"tinGst": "",
"tinCountry": "",
"age": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "TS",
"country": "IN",
"pincode": "500003",
"poa": "others",
"poaOthers": "",
"permAndCorresAddSame": "Y",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "TS",
"corresCountry": "IN",
"corresPin": "",
"corresPoa": "",
"proffOfAddress": "",
"offStdCode": "",
"offtelNo": "",
"faxCode": "",
"faxNo": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "",
"mobileNumber": "",
"email": "",
"decDate": "",
"decPlace": "",
"kycDate": "********",
"updatedDate": "",
"DocSub": "01",
"kycName": "********",
"kycDesignation": "********",
"kycBranch": "********",
"kycEmpCode": "********",
"numIdentity": "1",
"numRelated": "2",
"numImages": "2",
"aadhaar": "",
"pan": "",
"voterId": "",
"passport": "",
"drivingLicense": "",
"nregaJobCard": "",
"nationalPopulationReg": "",
"officiallyValidDoc": "",
"certOfIncorporation": "",
"regcertificate": "",
"articleOfAssociation": "",
"partnershipDeed": "",
"trustDeed": "",
"boardResolution": "",
"powerOfAttorney": "",
"activityProof1": "",
"activityProof2": "",
"imageDetails": [
{
"code": "19",
"type": "JPG",
"imageUrl": "<Image_URL>"
},
{
"code": "98",
"type": "JPG",
"imageUrl": "<Image_URL>"
}
],
"relatedPersonDetails": [
{
"relationype": "Authorised Signatory",
"ckycNo": "",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"fatherOrSpouse": "",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"motherPrefix": "",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"dob": "",
"gender": "",
"nationality": "",
"pan": "",
"formSixty": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "",
"country": "",
"pincode": "",
"poiType": "",
"permAndCorresAddSame": "",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoiType": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "",
"mobileNumber": "",
"offStdCode": "",
"offTelNum": "",
"email": "",
"aadhaar": "",
"voterId": "",
"nregaJobCard": "",
"passport": "",
"drivingLicense": "",
"nationalPopulationReg": "",
"ekycAuth": "",
"decDate": "",
"decPlace": "",
"kycDate": "",
"DocSub": "",
"kycName": "",
"kycDesignation": "",
"kycBranch": "",
"kycEmpCode": "",
"din": "",
"photoUrl": "<Photo_URL>",
"poiUrl": "<Proof_of_Identity_URL>"
},
{
"relationype": "",
"ckycNo": "",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"fatherOrSpouse": "",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"motherPrefix": "",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"dob": "",
"gender": "",
"nationality": "",
"pan": "",
"formSixty": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "",
"country": "",
"pincode": "",
"poiType": "",
"permAndCorresAddSame": "",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoiType": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "",
"mobileNumber": "",
"offStdCode": "",
"offTelNum": "",
"email": "",
"aadhaar": "",
"voterId": "",
"nregaJobCard": "",
"passport": "",
"drivingLicense": "",
"nationalPopulationReg": "",
"ekycAuth": "",
"decDate": "",
"decPlace": "",
"kycDate": "",
"DocSub": "",
"kycName": "",
"kycDesignation": "",
"kycBranch": "",
"kycEmpCode": "",
"din": "",
"photoUrl": "<Photo_URL>",
"poiUrl": "<Proof_of_Identity_URL>"
}
]
}
}
The following JSON code snippet demonstrates a success response from the API when entityType is set to individual:
{
"status": "success",
"statusCode": "200",
"result": {
"constituitonType": "Individual",
"accountType": "normal",
"ckycNo": "",
"preFix": "Ms",
"firstName": "",
"middleName": "",
"lastName": "",
"fullName": "",
"fatherOrSpouse": "father",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"fatherFullName": "",
"motherPrefix": "Mrs",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"motherFullName": "",
"gender": "F",
"dob": "",
"age": "",
"address1": "",
"address2": "",
"address3": "",
"city": "Kamrup",
"district": "",
"state": "AS",
"country": "IN",
"pincode": "",
"permAndCorresAddSame": "Y",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "AS",
"corresCountry": "IN",
"corresPin": "",
"resiStdCode": "91",
"resiTelNo": "",
"mobileCode": "+91",
"mobileNumber": "",
"email": "",
"decDate": "18-12-2021",
"decPlace": "Bengaluru",
"kycDate": "********",
"updatedDate": "",
"idList": "",
"DocSub": "04",
"kycName": "********",
"kycDesignation": "********",
"kycBranch": "********",
"kycEmpCode": "********",
"numIdentity": "1",
"numRelated": "0",
"numImages": "4",
"aadhaar": "",
"pan": "",
"voterId": "",
"passport": "",
"drivingLicense": "",
"nregaJobCard": "",
"nationalPopulationReg": "",
"imageDetails": [
{
"code": "04",
"type": "pdf",
"imageUrl": "<Image_URL>"
},
{
"code": "02",
"type": "jpg",
"imageUrl": "<Image_URL>"
},
{
"code": "03",
"type": "jpg",
"imageUrl": "<Image_URL>"
},
{
"code": "09",
"type": "jpg",
"imageUrl": "<Image_URL>"
}
]
}
}
The following JSON code snippet demonstrates a success response from the API when entityType is set to legalEntity
{
"status": "success",
"statusCode": "200",
"result": {
"constituitonType": "Public Limited Company",
"constitutionTypeOthers": "",
"ckycNo": "",
"fullName": "",
"dob": "",
"idList": "",
"placeOfIncorporation": "",
"countryOfInscorporation": "IN",
"tinGst": "",
"tinCountry": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "TS",
"country": "IN",
"pincode": "",
"poa": "others",
"poaOthers": "",
"permAndCorresAddSame": "Y",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "TS",
"corresCountry": "IN",
"corresPin": "",
"corresPoa": "",
"proffOfAddress": "",
"offStdCode": "",
"offtelNo": "",
"faxCode": "",
"faxNo": "",
"mobileCode": "91",
"mobileNumber": "",
"email": "",
"decDate": "23-05-2022",
"decPlace": "HYDERABAD",
"kycDate": "********",
"DocSub": "01",
"kycName": "********",
"kycDesignation": "********",
"kycBranch": "********",
"kycEmpCode": "********",
"numIdentity": "1",
"numRelated": "2",
"numImages": "2",
"pan": "",
"officiallyValidDoc": "",
"certOfIncorporation": "",
"regcertificate": "",
"articleOfAssociation": "",
"partnershipDeed": "",
"trustDeed": "",
"boardResolution": "",
"powerOfAttorney": "",
"activityProof1": "",
"activityProof2": "",
"imageDetails": [
{
"code": "19",
"type": "JPG",
"imageUrl": "<Iamge_URL>"
},
{
"code": "98",
"type": "JPG",
"imageUrl": "<Image_URL>"
}
],
"relatedPersonDetails": [
{
"relationype": "Authorised Signatory",
"ckycNo": "",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"fatherOrSpouse": "",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"motherPrefix": "",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"dob": "",
"gender": "",
"nationality": "",
"pan": "",
"formSixty": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "",
"country": "",
"pincode": "",
"poiType": "",
"permAndCorresAddSame": "",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoiType": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "",
"mobileNumber": "",
"offStdCode": "",
"offTelNum": "",
"email": "",
"aadhaar": "",
"voterId": "",
"nregaJobCard": "",
"passport": "",
"drivingLicense": "",
"nationalPopulationReg": "",
"ekycAuth": "",
"decDate": "",
"decPlace": "",
"kycDate": "",
"DocSub": "",
"kycName": "",
"kycDesignation": "",
"kycBranch": "",
"kycEmpCode": "",
"din": "",
"photoUrl": "<Photo_URL>",
"poiUrl": "<POI_URL>"
},
{
"relationype": "",
"ckycNo": "",
"prefix": "",
"firstName": "",
"middleName": "",
"lastName": "",
"maidenPrefix": "",
"maidenFirstName": "",
"maidenMiddleName": "",
"maidenLastName": "",
"fatherOrSpouse": "",
"fatherPrefix": "",
"fatherFname": "",
"fatherMname": "",
"fatherLname": "",
"motherPrefix": "",
"motherFname": "",
"motherMname": "",
"motherLname": "",
"dob": "",
"gender": "",
"nationality": "",
"pan": "",
"formSixty": "",
"address1": "",
"address2": "",
"address3": "",
"city": "",
"district": "",
"state": "",
"country": "",
"pincode": "",
"poiType": "",
"permAndCorresAddSame": "",
"corresAddress1": "",
"corresAddress2": "",
"corresAddress3": "",
"corresCity": "",
"corresDist": "",
"corresState": "",
"corresCountry": "",
"corresPin": "",
"corresPoiType": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "",
"mobileNumber": "",
"offStdCode": "",
"offTelNum": "",
"email": "",
"aadhaar": "",
"voterId": "",
"nregaJobCard": "",
"passport": "",
"drivingLicense": "",
"nationalPopulationReg": "",
"ekycAuth": "",
"decDate": "",
"decPlace": "",
"kycDate": "",
"DocSub": "",
"kycName": "",
"kycDesignation": "",
"kycBranch": "",
"kycEmpCode": "",
"din": "",
"photoUrl": "<Photo_URL>",
"poiUrl": "<POI_URL>"
}
]
}
}
The following JSON code snippet demonstrates a success response from the API when returnOnlySearchResponse is set to yes
{
"statusCode": 200,
"responseTime": 1182,
"body": {
"status": "success",
"statusCode": "200",
"result": {
"constituitonType": "",
"constitutionTypeOthers": "",
"accountType": "",
"ckycNo": "<CKYC_Number>",
"preFix": "<Prefix>",
"firstName": "<First_Name>",
"middleName": "",
"lastName": "<Last_Name>",
"fullName": "<Full_Name>",
"fatherOrSpouse": "",
"fatherPrefix": "<Father_Prefix>",
"fatherFname": "<Father_First_Name>",
"fatherMname": "",
"fatherLname": "<Father_Last_Name>",
"fatherFullName": "<Father_Full_Name>",
"motherPrefix": "<Mother_Prefix>",
"motherFname": "<Mother_First_Name>",
"motherMname": "",
"motherLname": "<Mother_Last_Name>",
"motherFullName": "<Mother_Full_Name>",
"gender": "<Gender>",
"dob": "<Date_Of_Birth_in_DD-MM-YYYY_Format>",
"idList": "",
"placeOfIncorporation": "",
"countryOfInscorporation": "",
"tinGst": "",
"tinCountry": "",
"age": "",
"address1": "<Address_Line_1>",
"address2": "<Address_Line_2>",
"address3": "",
"city": "<City>",
"district": "<District>",
"state": "<State>",
"country": "<Country>",
"pincode": "<Pincode>",
"poa": "",
"poaOthers": "",
"permAndCorresAddSame": "<Permanent_And_Correspondence_Address_Same>",
"corresAddress1": "<Correspondence_Address_Line_1>",
"corresAddress2": "<Correspondence_Address_Line_2>",
"corresAddress3": "",
"corresCity": "<Correspondence_City>",
"corresDist": "<Correspondence_District>",
"corresState": "<Correspondence_State>",
"corresCountry": "<Correspondence_Country>",
"corresPin": "<Correspondence_Pincode>",
"corresPoa": "",
"proffOfAddress": "",
"offStdCode": "",
"offtelNo": "",
"faxCode": "",
"faxNo": "",
"resiStdCode": "",
"resiTelNo": "",
"mobileCode": "<Mobile_Country_Code>",
"mobileNumber": "<Mobile_Number>",
"email": "<Email_Address>",
"decDate": "<Declaration_Date>",
"decPlace": "<Declaration_Place>",
"kycDate": "<KYC_Date>",
"updatedDate": "",
"DocSub": "<Document_Submitted>",
"kycName": "<KYC_Name>",
"kycDesignation": "<KYC_Designation>",
"kycBranch": "<KYC_Branch>",
"kycEmpCode": "<KYC_Employee_Code>",
"numIdentity": "<Number_Of_Identities>",
"numRelated": "",
"numImages": "<Number_Of_Images>",
"aadhaar": "<Masked_Aadhaar_Number>",
"pan": "<PAN_Number>",
"voterId": "",
"passport": "",
"drivingLicense": "",
"nregaJobCard": "",
"nationalPopulationReg": "",
"officiallyValidDoc": "",
"certOfIncorporation": "",
"regcertificate": "",
"articleOfAssociation": "",
"partnershipDeed": "",
"trustDeed": "",
"boardResolution": "",
"powerOfAttorney": "",
"activityProof1": "",
"activityProof2": "",
"imageDetails": "",
"relatedPersonDetails": ""
}
}
}
Failure Responses
- Failure - No Record Found
The following code snippet demonstrates a failure response where the API fails to detect a document from the image.
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "No record found"
}
}
Error Responses
The following code snippets demonstarte the error responses from the API:
- Missing Input - idNo
- Incorrect Value - idType
- Incorrect Value - idNo
- Incorrect Mobile Number Length
- Incorrect Pin Code Length
- Incorrect DOB Format
- DOB Missing
- ID Type Missing
- Invalid ID
- Key And FI Code Not Configured
- Incorrect PAN Input
- Missing or Invalid Credentials
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "idNo should not be null or undefined"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Please send a proper values for idType"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Please send a proper values for idNo"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "mobileNo must be of length 10"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "pincode must be of length 6"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "DoB should be in DD-MM-YYYY format or valid date"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "property Dob should not exist"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "idType should not be null or undefined"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "Invalid Id"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "No key and ficode configured for this appid"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "wrong pan sent for entityType individual"
}
}
{
"status": "failure",
"statusCode": "401",
"error": "Missing/Invalid credentials"
}
- Public Key Missing
- IP Does Not Match with CKYCRR
- Unconfigured IP Search
- Unconfigured IP Download
- Invalid IP
- Invalid CKYC Number
- Mismatched DOB
- Invalid FI Code
- Mobile Number Mismatch
- Pincode and YOB Mismatch
- Invalid Request
- Digital Signature Unverified
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Public key not available in the server. Please upload key"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "<IP_No>:IP does not match with IP registered on CKYCRR portal"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "IP is not configured for search. Please contact CKYCRR"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "IP is not configured for download. Please contact CKYCRR"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Invalid IP. Please contact CKYCRR"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Please enter valid CKYC Number"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "DOB does not match with CKYC Number"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Please enter valid FI Code"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Mobile number does not match with CKYC Number"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Authentication Failed: Pincode and Year of birth entered does not match with the CKYC Number <ckyc number>"
}
}
{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Invalid request"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Digital signature cannot be verified. The certificate is expired."
}
}
- Validation Failure
- FI Does Not Exist
- Encryption Error
- KYC Length Error
- KYC Number Not Found
- Internal Server Error
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Validation failure"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Institution does not exists"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "Session Key Decryption error. Please encrypt with correct public Key"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "KYC Number should be of length 14 digits"
}
}
{
"status": "failure",
"statusCode": "404",
"error": {
"code": "ER_CKYC_SEARCH_AND_DOWNLOAD",
"message": "KYC Number <<KYC_NO>> does not exists in system"
}
}
{
"status": "failure",
"statusCode": "500",
"error": {
"code": "ER_SERVER",
"message": "Internal server error"
}
}
Failure and Error Response Details
failure status, with a relavant status code and error message.
The following table lists all error responses. | Status Code | Error Message | Error Description |
|---|---|---|
| 400 | idNo should not be null or undefined | The request does not contain the ID number. It is a mandatory field |
| 400 | Please send a proper values for idNo | The request does not contain a valid idNo |
| 400 | Please send a proper values for idType | The request does not contain a valid idType |
| 400 | mobileNo must be of length 10 | The mobile number in the request is incorrect |
| 400 | pincode must be of length 6 | The pin code in the request is incorrect |
| 400 | DoB should be in DD-MM-YYYY format or valid date | The format of the date of birth in the request is invalid |
| 400 | property Dob should not exist | - |
| 400 | idType should not be null or undefined | The request does not contain the ID type. It is a mandatory field |
| 400 | Invalid ID | The length of idNo is less than 4 or greater than 165 |
| 400 | No key and ficode configured for this appid | HyperVerge has not received the key and fincancial institution code against your application ID |
| 400 | wrong pan sent for entityType individual | The PAN used in the request is not of an individual type |
| 401 | Missing/Invalid credentials | The request is either missing the mandatory appId and appKey combination or has invalid values |
| 404 | Document not detected from Image | The module failed to detect a document in the image. Ensure that the image captures the document following the guidlines mentioned under the Input Image Guidelines section. |
| 404 | Public key not available in the server. Please upload key | The required public key for the operation is missing. Ensure the key is uploaded before making the request. |
| 404 | <IP_No>: IP does not match with IP registered on CKYCRR portal | The provided IP address does not match the one registered on the CKYCRR portal |
| 404 | Please configure your IP address. | The request cannot be processed as the IP address is not configured |
| 404 | The given IP does not match with the institution's registered IP. | The IP address provided in the request does not align with the registered IP of the institution |
| 404 | Please enter valid CKYC Number | The CKYC number entered in the request is invalid |
| 404 | Please enter valid FI Code | The Financial Institution (FI) code provided is invalid |
| 404 | Date of birth does not match with the given CKYC Number | The date of birth entered does not match the records for the given CKYC number |
| 404 | Authentication Failed: Pincode and Year of birth entered does not match with the CKYC Number | The pincode and year of birth provided do not match the records associated with the CKYC number |
| 404 | Authentication Failed: Mobile number entered does not match with the CKYC Number | The mobile number provided does not match the CKYC number |
| 404 | Authentication Failed: Mobile number entered does not exist for CKYC Number | The mobile number does not exist for the given CKYC number |
| 404 | Institution wallet does not have sufficient balance, please top up the wallet | The institution's wallet does not have adequate balance to process the request |
| 404 | Digital signature cannot be verified. The certificate is expired. | The digital signature verification failed as the certificate has expired |
| 404 | Validation failure | The input validation for the request has failed |
| 404 | Institution does not exist | The requested financial institution does not exist in the system |
| 404 | Session Key Decryption error. Please encrypt with correct public Key | The session key decryption failed due to incorrect encryption with the public key |
| 404 | KYC Number should be of length 14 digits | The CKYC number must be exactly 14 digits long |
| 404 | KYC Number <<KYC_NO>> does not exist in system | The provided CKYC number is not found in the system |
| 500 | Internal server error | Please check the request headers or contact the HyperVerge team for resolution |